2019-08-24 12:07 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005471Spring engineGeneralpublic2017-02-14 01:27
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version103.0 +git 
Summary0005471: 103.0.1-588-gab2f239 end of game crash
DescriptionInfolog: https://github.com/ZeroK-RTS/CrashReports/issues/103
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
duplicate of 0005387resolved End of Game Crash 103.0.1-288-g6c136ce 
+Relationships

-Notes

~0017289

Google_Frog (reporter)

May be similar: https://github.com/ZeroK-RTS/CrashReports/issues/96

~0017295

Kloot (developer)

looks similar to 0005387:

rts/Rendering/Env/Decals/GroundDecalHandler.cpp:973
rts/Rendering/UnitDrawer.cpp:313
rts/Game/Game.cpp:338
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/basic_string.h:539
rts/System/Main.cpp:48
rts/System/Main.cpp:109

~0017296

Kloot (developer)

stacktrace for issue 96:

??:0
??:0
??:0
rts/System/SpringHashMap.hpp:225
rts/Rendering/Shaders/ShaderHandler.cpp:77
rts/System/SpringHashMap.hpp:538
rts/Map/SMF/SMFRenderState.cpp:145
rts/Map/SMF/SMFGroundDrawer.cpp:109
rts/Map/SMF/SMFGroundDrawer.cpp:120
rts/Game/Game.cpp:338
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/basic_string.h:539
rts/System/Main.cpp:48
rts/System/Main.cpp:109

~0017298

Google_Frog (reporter)

Some more logs:
https://github.com/ZeroK-RTS/CrashReports/issues/94
https://github.com/ZeroK-RTS/CrashReports/issues/81

~0017300

Kloot (developer)

81 is an Intel crash when calling a display list:

rts/Lua/LuaOpenGL.cpp:4144
rts/lib/lua/src/ldo.cpp:321
rts/lib/lua/src/lvm.cpp:613
rts/lib/lua/src/ldo.cpp:378

94:

rts/Game/SelectedUnitsHandler.cpp:388
rts/Game/Players/Player.cpp:229
rts/Sim/Units/Unit.cpp:227
rts/Sim/Units/Unit.cpp:254
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/stl_vector.h:939
rts/Sim/Units/UnitHandler.cpp:204
rts/Game/Game.cpp:1511
rts/System/Sync/SyncChecker.h:37
rts/Game/Game.cpp:1004
rts/System/SpringApp.cpp:855
rts/System/Main.cpp:48
rts/System/Main.cpp:109
+Notes

-Issue History
Date Modified Username Field Change
2017-02-13 12:55 Google_Frog New Issue
2017-02-13 13:03 Google_Frog Note Added: 0017289
2017-02-13 13:14 Kloot Note Added: 0017295
2017-02-13 13:16 Kloot Note Added: 0017296
2017-02-13 13:52 Google_Frog Note Added: 0017298
2017-02-13 14:01 Kloot Note Added: 0017300
2017-02-14 01:27 Kloot Assigned To => Kloot
2017-02-14 01:27 Kloot Status new => resolved
2017-02-14 01:27 Kloot Resolution open => fixed
2017-02-14 01:27 Kloot Fixed in Version => 103.0 +git
2017-02-14 01:27 Kloot Relationship added duplicate of 0005387
+Issue History